<template>
  <!-- 装车作业页面 -->
  <div class="trainTransport">
    <div class="top">
      <el-input
        class="el-input"
        placeholder="请输入内容"
        v-model="input"
        clearable
      >
      </el-input>
      <el-button type="primary" class="btn" @click="onclick">
        <i class="el-icon-search"></i>查询
      </el-button>
      <el-button type="primary" @click="btnclick(0)">
        <i class="el-icon-plus"></i>新增
      </el-button>
    </div>

    <dilTable v-bind.sync="option">
      <el-table-column fixed="right" label="操作" width="100">
        <template slot-scope="scope">
          <el-button @click="click(scope.row.resultId)" type="text" size="small"
            >修改</el-button
          >
          <el-button
            type="text"
            size="small"
            @click="deleteclick(scope.row.resultId)"
            >删除</el-button
          >
        </template>
      </el-table-column>
    </dilTable>
  </div>
</template>


<script>
export default {
  name: "wagonload",
  data() {
    return {
      input: "",
      option: {
        // 表格请求数据的地址
        requestUrl:
          "",
      },
    };
  },
     created() {
      this.getRequestUrl();
    },
  methods: {
 
     getRequestUrl(){
      this.option.requestUrl = "/api/v1/tms/getTmstrainWagonLoad?apiId=58&resultType=1"  
    },
    onclick() {
      this.option.requestUrl =
        "/api/v1/tms/getTmstrainWagonLoad?apiId=58&resultType=1&con=" +
        this.input;
    },
    btnclick() {
      this.$router.push("/addWagonLoad");
    },
    click(resultId) {
      this.$router.push("/editWagonLoad/" + resultId);
    },
    deleteclick(scope) {
      let resultId = scope;
      this.$confirm("是否删除", "提示", {
        confirmButtonText: "确定",
        cancelButtonText: "取消",
        type: "warning",
        center: true,
      })
        .then(() => {
          this.$message({
            type: "success",
            message: "删除成功!",
          });
          this.axios
            .post(
              "/api/v1/tms/deleteTmstrainLoadingResultByResultId?resultId=" +
                resultId
            )
            .then(() => {
              this.getRequestUrl()
            });
        })
        .catch(() => {
          this.$message({
            type: "info",
            message: "取消删除!",
          });
        });
    },
  },
};
</script>
<style lang='scss' scoped>
.trainTransport {
  .top {
    padding: 1.25rem 0.375rem;
    .el-input {
      width: 20%;
      margin-right: 1.25rem;
    }
  }
}
</style>